/*
 * Copyright 2023 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <studioapp/studioapp.hpp>

#include <jasper/world/studiomodule.hpp>

namespace nostalgia {
void registerStudioModules() noexcept;
}

namespace jasper {

static bool modulesRegistered = false;
void registerStudioModules() noexcept {
	if (modulesRegistered) {
		return;
	}
	modulesRegistered = true;
	nostalgia::registerStudioModules();
	studio::registerModule(world::studioModule());
}

}
